Bug 1430077 - SUI : Empty page during Breadcrumb navigation on Dialogs page
Summary: SUI : Empty page during Breadcrumb navigation on Dialogs page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Josh Langholtz
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-07 19:53 UTC by Nandini Chandra
Modified: 2017-05-31 14:41 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:41:04 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screen shot of empty page during breadcrumb navigation (20.03 KB, image/png)
2017-03-07 19:53 UTC, Nandini Chandra
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Nandini Chandra 2017-03-07 19:53:39 UTC
Created attachment 1260958 [details]
screen shot of empty page during breadcrumb navigation

Description of problem:
-----------------------
The Breadcrumb navigation is broken on SUI Dialogs page.


Version-Release number of selected component (if applicable):
------------------------------------------------------------
5.8.0.3


How reproducible:
----------------
Always


Steps to Reproduce:
-------------------
1.In SUI, click Dialogs on the left.
2.On the Dialogs page on the right, enter an expression for the 'Name' filter.
3.When a match is found, click the Dialog.Once on the Dialog page, click 
'Dialogs' in the breadcrumb trail.


Actual results:
---------------
Clicking 'Dialogs' in the breadcrumb trail takes you to the Dialogs page, but the page is empty.See attached screen shot.


Expected results:
-----------------
No empty page during Breadcrumb navigation on Dialogs page.


Additional info:
----------------

Comment 2 Chris Kacerguis 2017-03-09 22:15:02 UTC
Hi Roman,

Could you please provide an ETA on resolution?

Chris

Comment 3 Chris Kacerguis 2017-03-09 22:21:19 UTC
Josh,

Can you please take a stab at this?

Chris

Comment 5 CFME Bot 2017-03-13 16:09:10 UTC
New commit detected on ManageIQ/manageiq-ui-service/master:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/b5becf51d772d8ee2a4c91a37de2f6f3ad00fa0b

commit b5becf51d772d8ee2a4c91a37de2f6f3ad00fa0b
Author:     Josh Langholtz <jjlangholtz@gmail.com>
AuthorDate: Mon Mar 13 10:29:19 2017 -0400
Commit:     Josh Langholtz <jjlangholtz@gmail.com>
CommitDate: Mon Mar 13 10:29:19 2017 -0400

    Fix dialogs breadcrumb navigation
    
    The dialogs breadcrumb error reported in the ticket was caused by the
    `matchesFilter` function being defined as a function expression with
    surrounding code expecting the function to be hoisted.
    
    Convert the function to a function declaration so that it can be
    hoisted.
    
    https://www.pivotaltracker.com/story/show/141593937
    https://bugzilla.redhat.com/show_bug.cgi?id=1430077

 client/app/dialogs/dialogs-list.component.js | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 6 Shveta 2017-03-21 20:29:31 UTC
Fixed.
Verified in master.20170321141428_a143dcd

Comment 8 errata-xmlrpc 2017-05-31 14:41:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.